> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Update

PATCH https://webhooks.ordergroove.com/webhook_targets/{target_id}/filters/{id}
Content-Type: application/json



Reference: https://developer.ordergroove.com/reference/webhooks-api/webhook-filters/update

## Request

### Path parameters

- `target_id` (string, required) — Webhook target id
- `id` (string, required) — ID of filter

### Body (application/json)

This endpoint expects an object.

- `pattern` (string, required) — Regular expression pattern off which filter is based

## Response

### 200

200

## Errors

### 400 Bad Request Error

400

## Examples

### Result

**Request**

```json
undefined
```

**Response**

```json
{
  "id": "5f15ef298dc15df9bc6eda35",
  "target": "aaaa1111bbbb2222cccc",
  "pattern": "subscription.*",
  "created": 1595273001
}
```

**SDK Code**

```python Result
import requests

url = "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id"

response = requests.patch(url)

print(response.json())
```

```javascript Result
const url = 'https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id';
const options = {method: 'PATCH'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id"

	req, _ := http.NewRequest("PATCH", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id');

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id");
var request = new RestRequest(Method.PATCH);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Request Example

**Request**

```json
{
  "pattern": "subscription.*"
}
```

**Response**

```json
{
  "id": "5f15ef298dc15df9bc6eda35",
  "target": "aaaa1111bbbb2222cccc",
  "pattern": "subscription.*",
  "created": 1595273001
}
```

**SDK Code**

```python Request Example
import requests

url = "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id"

payload = { "pattern": "subscription.*" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Request Example
const url = 'https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"pattern":"subscription.*"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Request Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id"

	payload := strings.NewReader("{\n  \"pattern\": \"subscription.*\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Request Example
require 'uri'
require 'net/http'

url = URI("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"pattern\": \"subscription.*\"\n}"

response = http.request(request)
puts response.read_body
```

```java Request Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")
  .header("Content-Type", "application/json")
  .body("{\n  \"pattern\": \"subscription.*\"\n}")
  .asString();
```

```php Request Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id', [
  'body' => '{
  "pattern": "subscription.*"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Request Example
using RestSharp;

var client = new RestClient("https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"pattern\": \"subscription.*\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Request Example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["pattern": "subscription.*"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://webhooks.ordergroove.com/webhook_targets/target_id/filters/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```